Bug 840271 - wrong dimension and dpi
wrong dimension and dpi
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-15 05:04 EDT by Jean-Jacques Sarton
Modified: 2013-02-26 10:17 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-26 10:17:31 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jean-Jacques Sarton 2012-07-15 05:04:24 EDT
Description of problem:
The xorg server with the nouveau driver don't report correctly the display size and the calculated DPI

Version-Release number of selected component (if applicable):
xorg-x11-server-Xorg-1.11.4-3.fc16.i686
xorg-x11-drv-nouveau-0.0.16-27.20110720gitb806e3f.fc16.i686


How reproducible:
always

Steps to Reproduce:
1. use a system with a display with a DPI other as 96 dpi
2. 
3.
  
Actual results:
Within Xorg.0.log you will see that the monitor width and height in cm is recognized and that a dpi is calculated:
-----------------------
[ 12694.936] (--) NOUVEAU(0): Chipset: "NVIDIA NV49"
...
[ 12695.025] (II) NOUVEAU(0): Max Image Size [cm]: horiz.: 37  vert.: 23
...
[ 12695.025] (II) NOUVEAU(0): clock: 161.6 MHz   Image Size:  367 x 230 mm
...
[ 12695.027] (**) NOUVEAU(0): Display dimensions: (370, 230) mm
[ 12695.027] (**) NOUVEAU(0): DPI set to (131, 132)
------------------------
Expected results:

xrandr report correct values but xdpyinfo which call XDisplayWidthMM() and
XDisplayHeightMM() report values based on 96 dpi.
If the xorg.conf file contain the option "DisplaySize 372 231" the values reported by xdpyinfo are correct.

Additional info:
Comment 1 Marek Goldmann 2012-07-16 03:21:39 EDT
Reassigning from me, since I'm not the component owner for this.
Comment 2 Daniel Maia 2012-10-06 09:31:35 EDT
I also have the same problem with the Dell Precision M4600 laptop and Nvidia Quadro card. xdpyinfo gives the wrong screen dimensions and dpi while xrandr gets it right.
Comment 3 Fedora End Of Life 2013-01-16 16:05:59 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Fedora End Of Life 2013-02-26 10:17:34 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.